.content-inner--column {
    display: grid;
    grid-template-columns: 286px 1fr;
    grid-template-rows: auto 1fr;
    align-items: start;
    column-gap: 80px;
    row-gap: 55px;
}

/* --------- sidebar --------- */
.sidebar {
    position: sticky;
    top: 20px;
    display: grid;
    gap: 55px;
}

/* --------- categories --------- */
.categories {
    margin-bottom: 0;
}

.categories__list {
    flex-direction: column;
    align-items: flex-start;
}

/* --------- sub-articles --------- */
.sub-articles-wrap {
    display: grid;
}

.sub-articles {
    display: grid;
    gap: 18px;
}

.sub-articles__ttl {
    display: flex;
    gap: 10px;
    align-items: center;
    color: #fff;
    font-size: 15px;
    font-weight: 700;

    &::before {
        content: '';
        display: block;
        width: 5px;
        height: 5px;
        border-radius: 50%;
        background: var(--bud-gradient);
    }
}

.sub-article__inner {
    display: grid;
    gap: 25px;
}

.sub-article__link {
    display: grid;
    grid-template-columns: 100px 1fr;
    gap: 15px;
}

.sub-article__thumb {
    align-self: start;
    border-radius: 5px;
    overflow: hidden;
}

.sub-article__body {
    display: grid;
    justify-content: space-between;
}

.sub-article__title {
    color: #fff;
    font-size: 12px;
    font-weight: 400;
    line-height: 1.5;
}

.sub-article__link:hover .sub-article__title {
    text-decoration: underline;
}

.sub-article__published {
    color: var(--gray-txt);
    font-size: 11px;
}

@media (width<768px) {
    .content-inner--column {
        grid-template-areas:
            "category"
            "article"
            "sub-article"
        ;
        grid-template-columns: unset;
        grid-template-rows: unset;
        align-items: start;
        column-gap: unset;
        row-gap: 50px;
    }

    /* --------- sidebar --------- */
    .sidebar {
        display: contents;
    }

    /* --------- categories --------- */
    .categories {
        grid-area: category;
    }

    .categories__list {
        flex-direction: row;
    }

    /* --------- sub-articles --------- */
    .sub-articles-wrap {
        grid-area: sub-article;
    }
}